List events for a gVault webhook
curl --request GET \
--url https://sandbox.groundtech.co/v2/gvaults/webhooks/{id}/events \
--header 'Authorization: Bearer <token>'import requests
url = "https://sandbox.groundtech.co/v2/gvaults/webhooks/{id}/events"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox.groundtech.co/v2/gvaults/webhooks/{id}/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "73a8e0c9-c20d-4b10-b9a4-0f0ff6b5cb9c",
"registrationId": "6b6a0502-9d38-4f94-83fe-06706adbdc51",
"eventType": "fee_wrapper.fees.status_changed",
"payload": {
"feeWrapperId": "8f4c52d7-62ab-4db9-a964-92f481f6b851",
"status": "confirmed",
"feeRecipientAddress": "0x92E6A1eD742f0C8502F902C61775F57728985b42",
"performanceFeeBps": 1500,
"transactionHash": "0xcdcdcdcdcdcdcdcdcdcdcdcdcdcdcdcdcdcdcdcdcdcdcdcdcdcdcdcdcdcdcd"
},
"status": "completed",
"attemptCount": 1,
"deliveredAt": "2026-09-03T18:04:11.000Z",
"lastError": null,
"createdAt": "2026-09-03T18:04:09.000Z",
"updatedAt": "2026-09-03T18:04:11.000Z"
}
],
"nextCursor": null
}{
"error": "<string>",
"code": "validation_error"
}Webhooks
List events for a gVault webhook
GET
/
v2
/
gvaults
/
webhooks
/
{id}
/
events
List events for a gVault webhook
Inspect delivery status and payloads for one gVault webhook registration.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.